kind: Deployment
apiVersion: apps/v1
metadata:
  name: heruvym
spec:
  replicas: 1
  selector:
    matchLabels:
      app: heruvym
  template:
    metadata:
      labels:
        app: heruvym
        tier: backend
    spec:
      imagePullSecrets:
        - name: regcred
      containers:
        - name: heruvym
          image: 192.168.193.230:31320/heruvym
          imagePullPolicy: Always
          ports:
            - containerPort: 1488
              name: http
      restartPolicy: Always